// GOAL: write tests to test the logic of
// ReadLastLine.readLastLine(), WITHOUT performing
// File I/O.  This will require refactoring.
//
public class ReadLastLine {
    // returns null if the file is empty
    public static String readLastLine(String fileName) throws IOException {
        File file = new File(fileName);
        Scanner scanner = new Scanner(file);
        String lastLine = null;

        while (scanner.hasNextLine()) {
            lastLine = scanner.nextLine();
        }

        scanner.close();
        return lastLine;
    }
}
